##### 7.7.4.0. convloc

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  convloc(L); L a list

Return:
  list

Purpose:
  convert a ringlist L into another ringlist,
  where all the 'p' orderings are replaced with the 's' orderings, e.g. `dp` by `ds`.

Assume:
  L is a result of a ringlist command

Example:

    LIB "dmod.lib";
    ring r = 0,(x,y,z),(Dp(2),dp(1));
    list L = ringlist(r);
    list N = convloc(L);
    def rs = ring(N);
    setring rs;
    rs;
    ==> //   characteristic : 0
    ==> //   number of vars : 3
    ==> //        block   1 : ordering Ds
    ==> //                  : names    x y
    ==> //        block   2 : ordering ls
    ==> //                  : names    z
    ==> //        block   3 : ordering C

User manual for Singular version 4-0-3, 2016, generated by texi2html.